import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_PutIdentityProviderConfigurationCommand, se_PutIdentityProviderConfigurationCommand, } from "../protocols/Aws_json1_1";
export { $Command };
export class PutIdentityProviderConfigurationCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("WorkMailService", "PutIdentityProviderConfiguration", {})
    .n("WorkMailClient", "PutIdentityProviderConfigurationCommand")
    .f(void 0, void 0)
    .ser(se_PutIdentityProviderConfigurationCommand)
    .de(de_PutIdentityProviderConfigurationCommand)
    .build() {
}
